com.r3corda.core.contracts / Frequency

# Frequency

`enum class Frequency`

Frequency at which an event occurs - the enumerator also casts to an integer specifying the number of times per year that would divide into (eg annually = 1, semiannual = 2, monthly = 12 etc).

### Enum Values

Annual |
SemiAnnual |
Quarterly |
Monthly |
Weekly |
BiWeekly |
Daily |

### Properties

annualCompoundCount | `val annualCompoundCount: Int`

### Functions

offset | `abstract fun offset(d: LocalDate, n: Long = 1): LocalDate`